### Signal

# PapersView UndoContext::stacks-changed

#### Declaration

    void
    stacks_changed (
      PpsUndoContext* self,
      PapersViewUndoHandler* handler,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the undo or redo stacks are modified.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`handler`

  Type: `PpsUndoHandler`

  The `PpsUndoHandler` that registered this action.

  The data is owned by the caller of the function.